## perl 5.30.3

=== debian/changelog ===
perl (5.30.3-4) unstable; urgency=medium

  * Restore earlier behaviour where the shared version of Config.pm
    had precedence on @INC. This makes perl -V:useshrplib lie again,
    so that it can be used to check whether a shared libperl is
    available. Thanks to the PostgreSQL project for early testing.
    (See #798626)
  * Refresh cross support files and add support for ia64.

 -- Niko Tyni <ntyni@debian.org>  Sun, 07 Jun 2020 10:56:32 +0300

perl (5.30.3-3) unstable; urgency=medium

  * Move the perl-base specific library path between vendor and core so
    that the separate libscalar-list-utils-perl package can override the
    version in perl-base. (See #962138)
  * Suppress an ExtUtils::MakeMaker warning about our new @INC arrangement.

 -- Niko Tyni <ntyni@debian.org>  Sat, 06 Jun 2020 13:33:31 +0300

perl (5.30.3-2) unstable; urgency=medium

  [ Niko Tyni ]
  * Fix version parsing logic in a maintainer test.
  * Move perl-base specific library up on @INC. This eliminates the
    chance of incompatible libperl5.xx modules overriding the perl-base
    ones during upgrades and the like. (Closes: #962138)

  [ Dominic Hargreaves ]
  * Remove lingering references to old deprecated modules (Closes: #961928)
  * Fix FTBFS with IPv6-only host (Closes: #962019)

 -- Dominic Hargreaves <dom@earth.li>  Fri, 05 Jun 2020 00:21:01 +0100

perl (5.30.3-1) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Update perlbug to no longer email deprecated bug address
    (Closes: #958721)

  [ Niko Tyni ]
  * Update the build system to debhelper compatibility level 13.

  [ Dominic Hargreaves ]
  * Update to new upstream version (Closes: #962005)
    + [SECURITY] CVE-2020-10543: Buffer overflow caused by a crafted
      regular expression
    + [SECURITY] CVE-2020-10878: Integer overflow via malformed bytecode
      produced by a crafted regular expression
    + [SECURITY] CVE-2020-12723: Buffer overflow caused by a crafted
      regular expression

 -- Dominic Hargreaves <dom@earth.li>  Mon, 01 Jun 2020 22:23:43 +0100

perl (5.30.2-1) unstable; urgency=medium

  [ Niko Tyni ]
  * Convert rt.perl.org links to GitHub issues in patch descriptions.

  [ Dominic Hargreaves ]
  * Update to new upstream version 5.30.2.
  * Fix test failure with certain sbuild configurations (Closes: #930095)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 17 May 2020 00:19:12 +0100

perl (5.30.0-10) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Suggest libtap-harness-archive-perl for prove --archive
    (Closes: #947797)

  [ Niko Tyni ]
  * Apply upstream patches fixing Configure on GCC 10. (Closes: #957675)
  * Include commit hashes from upstream GitHub repo in patch descriptions.

 -- Niko Tyni <ntyni@debian.org>  Fri, 17 Apr 2020 22:18:51 +0300
