=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: perl
 Section: perl
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Niko Tyni <ntyni@debian.org>
+Maintainer: Niko Tyni <ntyni@debian.org>
 Uploaders: Dominic Hargreaves <dom@earth.li>
 Standards-Version: 3.9.8
 Homepage: http://dev.perl.org/perl5/
@@ -14,7 +13,7 @@
  libgdbm-compat-dev,
  netbase <!nocheck>,
  procps [!hurd-any] <!nocheck>,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  zlib1g-dev | libz-dev,
  libbz2-dev,
  dpkg-dev (>= 1.17.14),
@@ -118,7 +117,7 @@
  libsys-syslog-perl (<< 0.35),
  libcompress-zlib-perl (<< 2.084),
  libcompress-raw-zlib-perl (<< 2.084),
- libcompress-raw-bzip2-perl (<< 2.084),
+ libcompress-raw-bzip2-perl (<< 2.089),
  libio-compress-zlib-perl (<< 2.084),
  libio-compress-bzip2-perl (<< 2.084),
  libio-compress-base-perl (<< 2.084),
@@ -139,7 +138,7 @@
  libsys-syslog-perl (<< 0.35),
  libcompress-zlib-perl (<< 2.084),
  libcompress-raw-zlib-perl (<< 2.084),
- libcompress-raw-bzip2-perl (<< 2.084),
+ libcompress-raw-bzip2-perl (<< 2.089),
  libio-compress-zlib-perl (<< 2.084),
  libio-compress-bzip2-perl (<< 2.084),
  libio-compress-base-perl (<< 2.084),
@@ -189,8 +188,7 @@
  libnet-ping-perl (<< 2.71),
  libtest-harness-perl (<< 3.42),
  libtest-simple-perl (<< 1.302162),
- liblocale-codes-perl (<< 3.56),
- libmodule-corelist-perl (<< 5.20190522),
+ libmodule-corelist-perl (<< 5.20200601.30),
  libio-zlib-perl (<< 1.10),
  libarchive-tar-perl (<< 2.32),
  libextutils-cbuilder-perl (<< 0.280231),
@@ -237,7 +235,7 @@
  libnet-ping-perl (<< 2.71),
  libtest-harness-perl (<< 3.42),
  libtest-simple-perl (<< 1.302162),
- libmodule-corelist-perl (<< 5.20190522),
+ libmodule-corelist-perl (<< 5.20200601.30),
  libio-zlib-perl (<< 1.10),
  libarchive-tar-perl (<< 2.32),
  libextutils-cbuilder-perl (<< 0.280231),
@@ -302,7 +300,7 @@
  libsys-syslog-perl (= 0.35),
  libcompress-zlib-perl (= 2.084),
  libcompress-raw-zlib-perl (= 2.084),
- libcompress-raw-bzip2-perl (= 2.084),
+ libcompress-raw-bzip2-perl (= 2.089),
  libio-compress-zlib-perl (= 2.084),
  libio-compress-bzip2-perl (= 2.084),
  libio-compress-base-perl (= 2.084),
@@ -321,7 +319,7 @@
  libnet-ping-perl (= 2.71),
  libtest-harness-perl (= 3.42),
  libtest-simple-perl (= 1.302162),
- libmodule-corelist-perl (= 5.20190522),
+ libmodule-corelist-perl (= 5.20200601.30),
  libio-zlib-perl (= 1.10),
  libarchive-tar-perl (= 2.32),
  libextutils-cbuilder-perl (= 0.280231),
@@ -352,3 +350,6 @@
  libdigest-perl (= 1.17.01),
  libextutils-install-perl (= 2.14),
  libhttp-tiny-perl (= 0.076),
+ libcpan-meta-requirements-perl (= 2.140),
+ libexperimental-perl (= 0.020),
+ libtest-use-ok-perl (= 1.302162),
