=== debian/rules ===
--- 
+++ 
@@ -151,11 +151,6 @@
 	mv $(tmp)/$(share) $(tmp)/usr/share/perl/$(fullversion)
 
 override_dh_auto_install-arch: perl-install-shared-stamp
-	# install the perl-base version of %Config early so we can mangle it below
-	for file in Config.pm Config_heavy.pl; do \
-	  install -D -m 644 build-static/lib/$$file $(tmp)/$(baselib)/$$file; \
-	done
-
 	# store probed configuration to support cross builds
 	for flavour in $(flavours); do \
 	  install -D -m 644 build-$$flavour/config.sh $(configdata)/config.sh.$$flavour; \
@@ -188,7 +183,8 @@
 	  for file in Config.pm Config_heavy.pl; do \
 	    if which dpkg-buildflags >/dev/null 2>&1; then \
 	        for flag in $(shell dpkg-buildflags --get CPPFLAGS) \
-	                 $(shell dpkg-buildflags --get CFLAGS); do \
+	                 $(shell dpkg-buildflags --get CFLAGS) \
+	                 ; do \
 	                case "$$flag" in -fstack-protector) ;; \
 	                     *) export flag; $(PERL_TO_USE) -i -pe "/^(cc|cpp)flags/ and \
 	                          s/(['\s])\Q\$$ENV{flag}\E(['\s])/\1\2/ and s/  +/ /" \
@@ -226,3 +222,8 @@
 	rm -f $(tmp)/$(lib)/.packlist
 
 	# relocate perl library
+	mv $(tmp)/$(lib)/CORE/libperl.so.$(fullversion) $(tmp)/usr/lib/$(archtriplet)
+
+	# replaced by dh_link symlinks
+	rm -f $(tmp)/$(lib)/CORE/libperl.so $(tmp)/$(lib)/CORE/libperl.so.$(version)
+
